<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'scheduler',

    /*
     * Modules.
     */
    'modules'   => ['scheduler'],

    
    'scheduler'       => [
        'model' => [
            'model' => \Litecms\Scheduler\Models\Scheduler::class,
            'repository' => \Litecms\Scheduler\Repositories\Eloquent\SchedulerRepository::class,
            'table' => 'schedulers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'slug',  'description',  'zoom_room_id',  'zoom_room_password',  'youtube_id',  'date_start',  'date_end',  'difficulty_id',  'category_id'],
            'translatables' => [],
            'upload_folder' => 'scheduler/scheduler',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Scheduler',
            'module' => 'Scheduler',
        ],
    ],
];
