Lavalite package that provides scheduler management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/scheduler`.

    "litecms/scheduler": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Scheduler\Providers\SchedulerServiceProvider::class,

And also add it to alias

    'Scheduler'  => Litecms\Scheduler\Facades\Scheduler::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Scheduler\\Seeds\\SchedulerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Scheduler\Providers\SchedulerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Scheduler\Providers\SchedulerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Scheduler\Providers\SchedulerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/scheduler/{modulename}

**User**

    http://path-to-route-folder/user/scheduler/{modulename}

**Public**

    http://path-to-route-folder/schedulers


### API endpoints

**List**

    http://path-to-route-folder/api/user/scheduler/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/scheduler/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/scheduler/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/scheduler/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/scheduler/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/scheduler/{modulename}/{slug}
    METHOD: GET