<?php

namespace Litecms\Scheduler\Forms;

use Litepie\Form\FormInterpreter;

class Scheduler extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('scheduler/scheduler/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('scheduler/scheduler/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('scheduler/scheduler'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('scheduler/scheduler'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('scheduler/scheduler'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('scheduler/scheduler'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('scheduler::scheduler.label.name'),
                "placeholder" => trans('scheduler::scheduler.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('scheduler::scheduler.label.created_at'),
            'name' => trans('scheduler::scheduler.label.name'),
            'status' => trans('scheduler::scheduler.label.status'),
        ];
        self::$groups = [
            'main' => trans('scheduler::scheduler.groups.main'),
            'details' => trans('scheduler::scheduler.groups.details'),
            'images' => trans('scheduler::scheduler.groups.images'),
            'settings' => trans('scheduler::scheduler.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('scheduler::scheduler.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('scheduler::scheduler.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('scheduler::scheduler.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('scheduler::scheduler.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('scheduler::scheduler.label.name'),
                "placeholder" => trans('scheduler::scheduler.placeholder.name'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'html_editor',
                "type" => 'html_editor',
                "label" => trans('scheduler::scheduler.label.description'),
                "placeholder" => trans('scheduler::scheduler.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'zoom_room_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('scheduler::scheduler.label.zoom_room_id'),
                "placeholder" => trans('scheduler::scheduler.placeholder.zoom_room_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'zoom_room_password' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('scheduler::scheduler.label.zoom_room_password'),
                "placeholder" => trans('scheduler::scheduler.placeholder.zoom_room_password'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'youtube_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('scheduler::scheduler.label.youtube_id'),
                "placeholder" => trans('scheduler::scheduler.placeholder.youtube_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date_start' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('scheduler::scheduler.label.date_start'),
                "placeholder" => trans('scheduler::scheduler.placeholder.date_start'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'date_end' => [
                "element" => 'time_picker',
                "type" => 'time_picker',
                "label" => trans('scheduler::scheduler.label.date_end'),
                "placeholder" => trans('scheduler::scheduler.placeholder.date_end'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'difficulty_id' => [
                "element" => 'model_select',
                "type" => 'model_select',
                "label" => trans('scheduler::scheduler.label.difficulty_id'),
                "placeholder" => trans('scheduler::scheduler.placeholder.difficulty_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'model_select',
                "type" => 'model_select',
                "label" => trans('scheduler::scheduler.label.category_id'),
                "placeholder" => trans('scheduler::scheduler.placeholder.category_id'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
