<?php

namespace Litecms\Scheduler\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class SchedulerItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('scheduler/scheduler') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'name' => $this->name,
            'slug' => $this->slug,
            'description' => $this->description,
            'zoom_room_id' => $this->zoom_room_id,
            'zoom_room_password' => $this->zoom_room_password,
            'youtube_id' => $this->youtube_id,
            'date_start' => $this->date_start,
            'date_end' => $this->date_end,
            'difficulty_id' => $this->difficulty_id,
            'category_id' => $this->category_id,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
