<?php

namespace Litecms\Scheduler\Repositories\Eloquent;

use Litecms\Scheduler\Interfaces\SchedulerRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Scheduler\Repositories\Eloquent\Presenters\SchedulerItemPresenter;


class SchedulerRepository extends BaseRepository implements SchedulerRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.scheduler.scheduler.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.scheduler.scheduler.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return SchedulerItemPresenter::class;
    }
}
